Loading...
Searching...
No Matches
SNDMEMFILE_ Struct Reference

`#include <csoundCore.h>`

## Data Fields

char * | name
| file ID (short name)
struct SNDMEMFILE_ * | nxt
char * | fullName
| full path filename
size_t | nFrames
| file length in sample frames
double | sampleRate
| sample rate in Hz
int | nChannels
| number of channels
int | sampleFormat
| AE_SHORT, AE_FLOAT, etc.
int | fileType
| TYP_WAV, TYP_AIFF, etc.
int | loopMode
| loop mode: 0: no loop information 1: off 2: forward 3: backward 4: bidirectional
double | startOffs
| playback start offset frames
double | loopStart
| loop start (sample frames)
double | loopEnd
| loop end (sample frames)
double | baseFreq
| base frequency (in Hz)
double | scaleFac
| amplitude scale factor
float | data [1]
| interleaved sample data

## Field Documentation

## baseFreq

double SNDMEMFILE_::baseFreq

base frequency (in Hz)

## data

float SNDMEMFILE_::data[1]

interleaved sample data

## fileType

int SNDMEMFILE_::fileType

TYP_WAV, TYP_AIFF, etc.

## fullName

char* SNDMEMFILE_::fullName

full path filename

## loopEnd

double SNDMEMFILE_::loopEnd

loop end (sample frames)

## loopMode

int SNDMEMFILE_::loopMode

loop mode: 0: no loop information 1: off 2: forward 3: backward 4: bidirectional

## loopStart

double SNDMEMFILE_::loopStart

loop start (sample frames)

## name

char* SNDMEMFILE_::name

file ID (short name)

## nChannels

int SNDMEMFILE_::nChannels

number of channels

## nFrames

size_t SNDMEMFILE_::nFrames

file length in sample frames

## nxt

struct SNDMEMFILE_* SNDMEMFILE_::nxt

## sampleFormat

int SNDMEMFILE_::sampleFormat

AE_SHORT, AE_FLOAT, etc.

## sampleRate

double SNDMEMFILE_::sampleRate

sample rate in Hz

## scaleFac

double SNDMEMFILE_::scaleFac

amplitude scale factor

## startOffs

double SNDMEMFILE_::startOffs

playback start offset frames